> For the complete documentation index, see [llms.txt](https://docs.gem-suite.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gem-suite.com/api-reference/objects/booking/action.md).

# Action

| Attribute  | Type    | Description                                       |
| ---------- | ------- | ------------------------------------------------- |
| id         | integer | Unique identifier for the action.                 |
| bookingID  | integer | Booking ID linked to the action.                  |
| date       | date    | Date of the action.                               |
| user\_id   | integer | User ID linked to the action.                     |
| action\_id | integer | Action ID.                                        |
| value      | numeric | Amount charged to the client.                     |
| cost       | numeric | Amount paid to the driver.                        |
| time       | time    | Time of the action (if action is time sensitive). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gem-suite.com/api-reference/objects/booking/action.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
